[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#894694: inet6-ifup-helper should not fail if IPv6 link-local address not present



Package: cloud.debian.org
Severity: normal
Tags: ipv6

inet6-ifup-helper should not fail if IPv6 link-local address not present

If IPV6 is disabled globally (e.g., via `ipv6.disable=1` kernel option),
inet6-ifup-helper will exit 1, and SystemD will mark networking.service
failed.

This will probably make services that depend on networking fail to start
up.

Below is a possible fix:

The following changes since commit a96fa77d4f2807f11d9d71373939f747ae28ee28:

  Move debootstrap arguments after release assignment (2018-03-10 12:40:22 +0100)

are available in the Git repository at:

  https://github.com/azuwis/fai-cloud-images.git

for you to fetch changes up to 7a333bf31871873c0acebfa4838d04dbd4b9fc52:

  inet6-ifup-helper should not fail if IPv6 link-local address not present (2018-04-03 16:52:05 +0800)

----------------------------------------------------------------
Zhong Jianxin (1):
      inet6-ifup-helper should not fail if IPv6 link-local address not present

 config_space/files/usr/local/sbin/inet6-ifup-helper/EC2 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config_space/files/usr/local/sbin/inet6-ifup-helper/EC2 b/config_space/files/usr/local/sbin/inet6-ifup-helper/EC2
index 85219ef..4174536 100644
--- a/config_space/files/usr/local/sbin/inet6-ifup-helper/EC2
+++ b/config_space/files/usr/local/sbin/inet6-ifup-helper/EC2
@@ -12,7 +12,7 @@ DUIDFILE="/var/lib/dhcp/dhclient-6.$IFACE.leases"
 case "$MODE" in
     start)
         ip link set $IFACE up
-        /lib/ifupdown/wait-for-ll6.sh || exit 1
+        /lib/ifupdown/wait-for-ll6.sh || exit 0
         /sbin/dhclient -v -6 -nw -pf $PIDFILE -lf $LEASESFILE -I -df $DUIDFILE $IFACE
         ;;
     stop)


-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.15.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)


Reply to: